WordPress.org

Ready to get started?Download WordPress

Forums

[resolved] Trouble with Stats and API key (12 posts)

  1. cindyyates
    Member
    Posted 7 years ago #

    I installed the WordPress.com Stats plugin for the blog I have at http://www.my10favoritebooks.com running on WordPress 2.0 (my hosting site doesn't have a new enough version of mySQL to run 2.2). I activated it. I went to the WordPress.com Stats tab and entered my API key (the same one I use for Akismet). I hit the save button. My API key disappears, and the window still says "The WordPress.com Stats Plugin is not working because it needs to be linked to a WordPress.com account." Hmmm. How do I link it, other than typing in the API key? I've tried typing my API key in as well as copying and pasting it in -- same result. Nothing. I double checked that my template has the wp_footer line before the closing body tag, and it does.

    I understand that I need to log in to my WordPress.COM dashboard to see the stats. It says that I don't have any blogs (cause my blog is not hosted at wordpress.com, but on my own site). Any help would be greatly appreciated. Thanks!

  2. moshu
    Member
    Posted 7 years ago #

    When you obtained your initial API key (for the Akismet) you did create a "profile" on wp.com (even if you don't have a blog there). Do you have the login info for that?

  3. drmike
    Member
    Posted 7 years ago #

    We've been telling folks to send in an email to support at wp.com with the specific details like domains, email addresses and the like.

  4. cindyyates
    Member
    Posted 7 years ago #

    moshu - yes, i created a profile but no blog at wp.com. i went back and created a blog there just in case that made a difference (it didn't). so yes, i have my login info and i have logged into my wp.com dashboard -- the stats were not there

    drmike -- thanks, i will email wp.com

  5. cindyyates
    Member
    Posted 7 years ago #

    Just FYI - I'm afraid that the version of the stats plugin I'm using doesn't work with my version of WP.

    Bummer.

  6. moshu
    Member
    Posted 7 years ago #

    It is the first version of the plugin:
    http://wordpress.org/extend/plugins/stats/
    and it says - WP 1.5 and up.
    Do you have a version older than that???

  7. cindyyates
    Member
    Posted 7 years ago #

    Hmm... no, I coulda sworn I just stumbled across a description of the plugin that said WP 2.1 and higher. I'm running WP 2.0

    Lemme go check the version of the plugin...

  8. cindyyates
    Member
    Posted 7 years ago #

    moshu - when i click on the link in your post the page I see says WP 2.1 and higher. Where are you finding WP 1.5 and up?

  9. moshu
    Member
    Posted 7 years ago #

    Sorry, you are right... I was checking simultaneously several things.

  10. weboptimist
    Member
    Posted 7 years ago #

    I'm having exactly the same problem. I'm using WP 2.07 and no matter whether I cut and paste or type in my API, it continues to tell me Stats needs attention and presents me with the API input field again.

    Anyone in particular we should send the e-mail to at wp.com? Support at wordpress.com?

  11. weboptimist
    Member
    Posted 7 years ago #

    OK, I think I see the problem. In the readme file, it does state 2.1 or higher. Oops.

  12. cindyyates
    Member
    Posted 7 years ago #

    Since it appears to be a version thing, I'm going to try a different plugin.

    Any suggestions for a stats plugin that works with earlier versions of WP?

    I'm thinking of trying Google Analytics (and this plugin: http://www.semiologic.com/software/marketing/google-analytics/) but it is WAY overkill for my needs.

Topic Closed

This topic has been closed to new replies.

About this Topic

Tags